speckley/src/domainhelpers.h File Reference
`#include <speckley/Speckley.h>`
`#include <escript/Data.h>`

Go to the source code of this file.

## Namespaces

| speckley

## Typedefs

typedef std::map< std::string, escript::Data > | speckley::DataMap

## Functions

const escript::Data | speckley::unpackData (const std::string target, const DataMap &mapping)
bool | speckley::isNotEmpty (const std::string target, const DataMap &mapping)
bool | speckley::isComplexCoef (const std::string target, const DataMap &mapping)
| returns true if the target data object is complex More...
void | speckley::factorise (std::vector< int > &factors, int product)